This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Node Pools

1 - 1.3

get /v1/cluster-fabrics/node-pools

Description

List node pools by subnet_id+zone or cluster_fabric_id. Provide subnet_id and zone together, or cluster_fabric_id alone.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
querysubnet_id
optional
Subnet ID (required with cluster_fabric_id is empty)
Example : ab313c43291e4b678f4bacffe10768ae
any of [string, null]None
querycluster_fabric_id
optional
Cluster Fabric ID (required when subnet_id is empty)
Example : 20c507a036c447cdb3b19468d8ea62ac
any of [string, null]None
querynode_pool_id
optional
Node Pool ID (filter results for a specific node pool)
Example : POOL001-krw1a
any of [string, null]None
queryzone
optional
Availability Zone (required when subnet_id is provided)
Example : kr-west1-a
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKNodePoolListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cluster-fabrics/node-pools

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.3"

Example HTTP response

Response 200

{
    "node_pools": [
        {
            "node_pool_id": "POOL001-krw1a",
            "cluster_fabric_details": []
        }
    ],
    "count": 20
}

2 - 1.2

get /v1/cluster-fabrics/node-pools

Description

List node pools by cluster_fabric_id or subnet_id.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220270131

Parameters

TypeNameDescriptionSchemaDefault
querysubnet_id
optional
Subnet ID (required with cluster_fabric_id is empty)
Example : ab313c43291e4b678f4bacffe10768ae
any of [string, null]None
querycluster_fabric_id
optional
Cluster Fabric ID (required when subnet_id is empty)
Example : 20c507a036c447cdb3b19468d8ea62ac
any of [string, null]None
querynode_pool_id
optional
Node Pool ID (filter results for a specific node pool)
Example : POOL001-krw1a
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKNodePoolListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cluster-fabrics/node-pools

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = multinodegpucluster 1.2"

Example HTTP response

Response 200

{
    "node_pools": [
        {
            "node_pool_id": "POOL001-krw1a",
            "cluster_fabric_details": []
        }
    ],
    "count": 20
}